Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType sslType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}sslType

Model
  `<...>
  name?, notes?, use-java?, enabled?, ciphersuite*, cert-authenticator?, hostname-verifier?, hostname-verification-ignored?, trusted-ca-file-name?, key-encrypted?, export-key-lifespan?, client-certificate-enforced?, server-certificate-file-name?, listen-port?, server-certificate-chain-file-name?, certificate-cache-size?, handler-enabled?, login-timeout-millis?, server-key-file-name?, two-way-ssl-enabled?, server-private-key-alias?, server-private-key-pass-phrase-encrypted?, ssl-rejection-logging-enabled?, identity-and-trust-locations?, inbound-certificate-validation?, outbound-certificate-validation?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  This MBean represents the configuration of the SSL protocol.

  MBean: `SSLMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`boolean` | `use-java` optional This MBean represents the configuration of the SSL protocol.
`boolean` | `enabled` optional This MBean represents the configuration of the SSL protocol.
`string` | `ciphersuite` 0...∞ Indicates the cipher suites being used on a particular WebLogic Server.
`string` | `cert-authenticator` optional The name of the Java class that implements the `weblogic.`
`string` | `hostname-verifier` optional The name of the class that implements the `weblogic.`
`boolean` | `hostname-verification-ignored` optional This MBean represents the configuration of the SSL protocol.
`string` | `trusted-ca-file-name` optional The full directory location of the file that specifies the certificate authorities trusted by the server.
`boolean` | `key-encrypted` optional This MBean represents the configuration of the SSL protocol.
`annonymous type derived from int` | `export-key-lifespan` optional Indicates the number of times WebLogic Server can use an exportable key between a domestic server and an exportable client before generating a new key.
`boolean` | `client-certificate-enforced` optional This MBean represents the configuration of the SSL protocol.
`string` | `server-certificate-file-name` optional The full directory location of the digital certificate file (`.`
`annonymous type derived from int` | `listen-port` optional The TCP/IP port at which this server listens for SSL connection requests.
`string` | `server-certificate-chain-file-name` optional The full directory location and name of the file containing an ordered list of certificate authorities trusted by WebLogic Server.
`annonymous type derived from int` | `certificate-cache-size` optional
`boolean` | `handler-enabled` optional This MBean represents the configuration of the SSL protocol.
`annonymous type derived from int` | `login-timeout-millis` optional Specifies the number of milliseconds that WebLogic Server waits for an SSL connection before timing out.
`string` | `server-key-file-name` optional The full directory location of the private key file (`.`
`boolean` | `two-way-ssl-enabled` optional This MBean represents the configuration of the SSL protocol.
`string` | `server-private-key-alias` optional The string alias used to store and retrieve the server's private key in the keystore.
`string` | `server-private-key-pass-phrase-encrypted` optional The encrypted passphrase used to retrieve the server's private key from the keystore.
`boolean` | `ssl-rejection-logging-enabled` optional This MBean represents the configuration of the SSL protocol.
`annonymous type derived from string` | `identity-and-trust-locations` optional Indicates where SSL should find the server's identity (certificate and private key) as well as the server's trust (trusted CAs).
`annonymous type derived from string` | `inbound-certificate-validation` optional Indicates the client certificate validation rules for inbound SSL.
`annonymous type derived from string` | `outbound-certificate-validation` optional Indicates the server certificate validation rules for outbound SSL.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1